import { test, expect } from '@playwright/test';

test('Stolperstein Auswahl und Bottom-Sheet Anzeige', async ({ page }) => {
  await page.goto('https://www.app.stolperclean.de/webapp/DEVELOPMENT/index.html');
  
  // 1. Initialer Klick
  await page.getByRole('button', { name: 'Stolpersteine anzeigen' }).click();
  
  // 2. Klick auf einen Cluster oder Marker
  // Hinweis: .nth(1) nimmt das zweite Element (Zählung beginnt bei 0)
   await page.getByRole('button', { name: '6' }).nth(1).click({ timeout: 10000 });
 //  await page.locator('text=6').nth(1).click({ timeout: 10000 })
  await page.getByRole('button').nth(2).click();
  
  // 3. Das Hochziehen des Bottom-Sheets
  await page.locator('.fas.fa-chevron-up').click();

  // --- ASSERTIONS (Die eigentlichen Prüfungen) ---
  // Wir prüfen das Element mit der ID #bottom-sheet auf den Textinhalt
  await expect(page.locator('#bottom-sheet')).toContainText('Curt Bejach');
});